Skip to content

Resume Schedule

POST
/schedules/{schedule_id}/resume
curl --request POST \
--url https://example.com/schedules/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/resume

Paused -> active; materializes immediately.

schedule_id
required
Schedule Id
string format: uuid

Successful Response

Media typeapplication/json
ScheduleOut
object
account_id
required
Account Id
string format: uuid
amount
required
Any of:
string
amount_type
required
Amount Type
string
autopost_policy
required
Autopost Policy
string
category_path
Any of:
string
counterparty_account_id
Any of:
string format: uuid
currency
required
Currency
string
dtstart
required
Dtstart
string format: date
ended_at
required
Any of:
string format: date-time
estimate_basis
required
Any of:
string
id
required
Id
string format: uuid
name
required
Name
string
next_due
required
Any of:
string format: date
rrule
required
Rrule
string
source
required
Source
string
status
required
Status
string

Example generated

{
"account_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"amount": "example",
"amount_type": "example",
"autopost_policy": "example",
"category_path": "example",
"counterparty_account_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"currency": "example",
"dtstart": "2026-04-15",
"ended_at": "2026-04-15T12:00:00Z",
"estimate_basis": "example",
"id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"name": "example",
"next_due": "2026-04-15",
"rrule": "example",
"source": "example",
"status": "example"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string

Example generated

{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}